You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@manifoldcf.apache.org by io...@apache.org on 2015/03/07 01:18:37 UTC

svn commit: r1664766 - /manifoldcf/release-scripts/release-solr-5.x.sh

Author: iorixxx
Date: Sat Mar  7 00:18:37 2015
New Revision: 1664766

URL: http://svn.apache.org/r1664766
Log:
release script for Apache Solr 5.x plugin

Added:
    manifoldcf/release-scripts/release-solr-5.x.sh   (with props)

Added: manifoldcf/release-scripts/release-solr-5.x.sh
URL: http://svn.apache.org/viewvc/manifoldcf/release-scripts/release-solr-5.x.sh?rev=1664766&view=auto
==============================================================================
--- manifoldcf/release-scripts/release-solr-5.x.sh (added)
+++ manifoldcf/release-scripts/release-solr-5.x.sh Sat Mar  7 00:18:37 2015
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z "$1" ];
+then
+	echo "Need a release version, e.g. '0.1'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+
+if [ -z "$2" ];
+then
+	echo "Need an Apache user account name, e.g. 'kwright'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+
+if [ -z "$3" ];
+then
+	echo "Need a release candidate version, e.g. 'RC0'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+
+rm -r apache-manifoldcf-solr5x-plugin-*   
+mvn clean package assembly:assembly
+
+cp target/apache-manifoldcf-solr5x-plugin-$1-src* .
+cp target/apache-manifoldcf-solr5x-plugin-$1-bin* .
+
+gpg --armor --output apache-manifoldcf-solr5x-plugin-$1-src.zip.asc --detach-sig apache-manifoldcf-solr5x-plugin-$1-src.zip
+gpg --armor --output apache-manifoldcf-solr5x-plugin-$1-src.tar.gz.asc --detach-sig apache-manifoldcf-solr5x-plugin-$1-src.tar.gz
+gpg --armor --output apache-manifoldcf-solr5x-plugin-$1-bin.zip.asc --detach-sig apache-manifoldcf-solr5x-plugin-$1-bin.zip
+gpg --armor --output apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz.asc --detach-sig apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz
+
+gpg --print-md MD5 apache-manifoldcf-solr5x-plugin-$1-src.zip > apache-manifoldcf-solr5x-plugin-$1-src.zip.md5
+gpg --print-md MD5 apache-manifoldcf-solr5x-plugin-$1-src.tar.gz > apache-manifoldcf-solr5x-plugin-$1-src.tar.gz.md5
+gpg --print-md MD5 apache-manifoldcf-solr5x-plugin-$1-bin.zip > apache-manifoldcf-solr5x-plugin-$1-bin.zip.md5
+gpg --print-md MD5 apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz > apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz.md5
+
+gpg --print-md SHA512 apache-manifoldcf-solr5x-plugin-$1-src.zip > apache-manifoldcf-solr5x-plugin-$1-src.zip.sha
+gpg --print-md SHA512 apache-manifoldcf-solr5x-plugin-$1-src.tar.gz > apache-manifoldcf-solr5x-plugin-$1-src.tar.gz.sha
+gpg --print-md SHA512 apache-manifoldcf-solr5x-plugin-$1-bin.zip > apache-manifoldcf-solr5x-plugin-$1-bin.zip.sha
+gpg --print-md SHA512 apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz > apache-manifoldcf-solr5x-plugin-$1-bin.tar.gz.sha
+
+cp KEYS apache-manifoldcf-solr5x-plugin-$1.KEYS
+cp CHANGES.txt apache-manifoldcf-solr5x-plugin-$1.CHANGES.txt
+
+#ssh $2@people.apache.org "mkdir ~/public_html/apache-manifoldcf-solr5x-plugin-$1-$3"
+#scp apache-manifoldcf-solr5x-plugin-$1* $2@people.apache.org:~/public_html/apache-manifoldcf-solr5x-plugin-$1-$3

Propchange: manifoldcf/release-scripts/release-solr-5.x.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: manifoldcf/release-scripts/release-solr-5.x.sh
------------------------------------------------------------------------------
    svn:executable = *